GNU Radio 2.x: gr_sig_source_s Class Reference

Main Page | Modules | Namespace List | Class Hierarchy | Class List | File List | Class Members | File Members

# gr_sig_source_s Class Reference
[Signal Sources]

`#include <gr_sig_source_s.h>`

Inheritance diagram for gr_sig_source_s:

[legend]
Collaboration diagram for gr_sig_source_s:

[legend]
List of all members.

## Detailed Description

signal generator with short output.

## Public Member Functions
virtual int | work (int noutput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)
| just like gr_block::general_work, only this arranges to call consume_each for you
double | sampling_freq () const
gr_waveform_t | waveform () const
double | frequency () const
double | amplitude () const
short | offset () const
void | set_sampling_freq (double sampling_freq)
void | set_waveform (gr_waveform_t waveform)
void | set_frequency (double frequency)
void | set_amplitude (double ampl)
void | set_offset (short offset)
## Friends
gr_sig_source_s_sptr | gr_make_sig_source_s (double sampling_freq, gr_waveform_t waveform, double frequency, double ampl, short offset)

## Member Function Documentation

double gr_sig_source_s::amplitude | ( |  | ) | const`[inline]`

double gr_sig_source_s::frequency | ( |  | ) | const`[inline]`

short gr_sig_source_s::offset | ( |  | ) | const`[inline]`

double gr_sig_source_s::sampling_freq | ( |  | ) | const`[inline]`

void gr_sig_source_s::set_amplitude | ( | double | ampl | ) |

void gr_sig_source_s::set_frequency | ( | double | frequency | ) |

void gr_sig_source_s::set_offset | ( | short | offset | ) |

void gr_sig_source_s::set_sampling_freq | ( | double | sampling_freq | ) |

void gr_sig_source_s::set_waveform | ( | gr_waveform_t | waveform | ) |

gr_waveform_t gr_sig_source_s::waveform | ( |  | ) | const`[inline]`

int gr_sig_source_s::work | ( | int | noutput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items
| ) | `[virtual]`

| just like gr_block::general_work, only this arranges to call consume_each for you The user must override work to define the signal processing code Implements gr_sync_block.

## Friends And Related Function Documentation

gr_sig_source_s_sptr gr_make_sig_source_s | ( | double | sampling_freq,
|  | gr_waveform_t | waveform,
|  | double | frequency,
|  | double | ampl,
|  | short | offset
| ) | `[friend]`

The documentation for this class was generated from the following files:

- gr_sig_source_s.h
- gr_sig_source_s.cc